Show / Hide Table of Contents

# Class SMNGauge

In-memory SMN job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<SummonerGauge>
SMNGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class SMNGauge : JobGaugeBase<SummonerGauge>

### Properties

| Improve this Doc View Source

#### AetherFlags

Gets the current aether flags. Use the summon accessors instead.

##### Declaration

    public AetherFlags AetherFlags { get; }

##### Property Value

Type | Description
--- | ---
AetherFlags |

| Improve this Doc View Source

#### AetherflowStacks

Gets the amount of Aetherflow available.

##### Declaration

    public byte AetherflowStacks { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Attunement

Gets the amount of aspected Attunment remaining.

##### Declaration

    public byte Attunement { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### AttunmentTimerRemaining

Gets the time remaining for the current attunement.

##### Declaration

    public ushort AttunmentTimerRemaining { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### HasAetherflowStacks

Gets a value indicating whether there are any Aetherflow stacks available.

##### Declaration

    public bool HasAetherflowStacks { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### IsBahamutReady

Gets a value indicating whether Bahamut is ready to be summoned.

##### Declaration

    public bool IsBahamutReady { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### IsGarudaAttuned

Gets a value indicating whether if Garuda is currently attuned.

##### Declaration

    public bool IsGarudaAttuned { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### IsGarudaReady

Gets a value indicating whether if Garuda is ready to be summoned.

##### Declaration

    public bool IsGarudaReady { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### IsIfritAttuned

Gets a value indicating whether if Ifrit is currently attuned.

##### Declaration

    public bool IsIfritAttuned { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### IsIfritReady

Gets a value indicating whether if Ifrit is ready to be summoned.

##### Declaration

    public bool IsIfritReady { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### IsPhoenixReady

Gets a value indicating whether if Phoenix is ready to be summoned.

##### Declaration

    public bool IsPhoenixReady { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### IsTitanAttuned

Gets a value indicating whether if Titan is currently attuned.

##### Declaration

    public bool IsTitanAttuned { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### IsTitanReady

Gets a value indicating whether if Titan is ready to be summoned.

##### Declaration

    public bool IsTitanReady { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` or `false`.

| Improve this Doc View Source

#### ReturnSummon

Gets the summon that will return after the current summon expires. This maps to the Lumina.Excel.GeneratedSheets.Pet sheet.

##### Declaration

    public SummonPet ReturnSummon { get; }

##### Property Value

Type | Description
--- | ---
SummonPet |

| Improve this Doc View Source

#### ReturnSummonGlam

Gets the summon glam for the ReturnSummon. This maps to the Lumina.Excel.GeneratedSheets.PetMirage sheet.

##### Declaration

    public PetGlam ReturnSummonGlam { get; }

##### Property Value

Type | Description
--- | ---
PetGlam |

| Improve this Doc View Source

#### SummonTimerRemaining

Gets the time remaining for the current summon.

##### Declaration

    public ushort SummonTimerRemaining { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |